Bug 201658 - Squirrelmail configuration problems.
Squirrelmail configuration problems.
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Miroslav Grepl
: SELinux
Depends On:
  Show dependency treegraph
Reported: 2006-08-07 20:37 EDT by Ian Mortimer
Modified: 2012-10-15 09:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-18 16:36:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Mortimer 2006-08-07 20:37:22 EDT
Description of problem:
Squirrelmail configtest.php reports 

   ERROR: Location of sendmail program incorrect (/usr/sbin/sendmail)!

The squirrelmail setup works fine but the false error stops configtest
from reporting on the rest of the configuration

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Setup a working squirrelmail configuration with defaults for sendmail/smtp
2. Go to http://whatever/webmail/src/configtest.php
Actual results:
configtest reports the above error.

Expected results:
all tests should pass.

Additional info:
Possibly this is because /usr/sbin/sendmail on rhel4 is a link.

Configuring smtp to localhost instead of sendmail removes the
error message and configtest reports all is well with the rest
of the configuration.

Essentially this is cosmetic since it doesn't stop a good 
configuration from working but it would make it more difficult
to diagnose a non-working configuration.
Comment 1 Ian Mortimer 2006-08-09 22:20:52 EDT
Got the same result with a fresh install of squirrelmail so it's not a local
configurataion issue.  


   php /usr/share/squirrelmail/src/configtest.php

from the command line either as root or apache reports sendmail OK!
Comment 2 Tomas 2007-01-27 07:36:39 EST
Are you sure that it is not related to SELinux restrictions?

SquirrelMail 1.4.6 does not handle pclose errors in Sendmail delivery class. Are
you sure that you can send emails, when configtest.php reports that location of
sendmail program incorrect? SquirrelMail might report that email was sent and
copy was saved in Sent folder, but recipient never gets it.
Comment 3 Ian Mortimer 2007-01-28 17:16:04 EST
You're right.  It's SELinux.  After `setenforce 0' configtest reports all OK.
Enforcing mode reports:

   kernel: audit(1170022308.085:14): avc:  denied  { read } for  pid=28752
comm="httpd" name="sendmail" dev=dm-2 ino=508085 scontext=root:system_r:httpd_t
tcontext=user_u:object_r:sbin_t tclass=lnk_file

It's been working fine for 6 months (with SELinux in enforcing mode) so it still
looks like a reporting problem only.

Comment 4 Michal Hlavinka 2008-11-04 08:36:44 EST
still exists in rhel 4.7,
squirrelmail works with selinux=permissive, complains with selinux=enforcing

Probably job for selinux
Comment 5 RHEL Product and Program Management 2009-01-26 12:31:00 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 Miroslav Grepl 2009-02-12 04:58:50 EST
Fixed in selinux-policy-targeted-1.17.30-2.151.el4
Comment 11 errata-xmlrpc 2009-05-18 16:36:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.